#!/bin/bash

softversion='5.4'
pkgversion='54.10'
softname='systemtools'
arch='i486'

buildir=$(pwd)

dest="/tmp/$softname-$softversion-$arch-$pkgversion"


cd $buildir
rm -rf $dest $softname
rm -f $dest.tgz
tar -zxvf $softname.tar.gz 
mv $softname $dest

# read-edit #############
cd $buildir
rm -rf read-edid-1.4.1
tar -zxvf read-edid-1.4.1.tar.gz
(
cd read-edid-1.4.1
patch -p0 < $buildir/read-edid-add_missing_symbols.diff
./configure --prefix=/usr
make
make install DESTDIR=$dest
mkdir -p $dest/usr/doc/read-edid-1.4.1
cp -a \
  AUTHORS COPYING INSTALL README NEWS LRMI \
  $dest/usr/doc/read-edid-1.4.1
)
rm -rf $buildir/read-edid-1.4.1

# zenpanel ##############
cd $buildir
rm -rf zenpanel-0.72
tar -zxvf zenpanel-0.72.tar.gz
(
cd zenpanel-0.72
make PREFIX=/usr
make install PREFIX=/usr DESTDIR=$dest
mkdir -p $dest/usr/doc/zenpanel-0.72
cp -a \
  AUTHORS COPYING INSTALL README ChangeLog \
  $dest/usr/doc/zenpanel-0.72
) 
rm -rf $buildir/zenpanel-0.72

# Strip tease ##############
( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

# Install dir
mkdir $dest/install
cat << "EOF" >> $dest/install/doinst.sh
[ ! -x etc/rc.d/rc.numlock ] && chmod 644 etc/rc.d/rc.numlock.new
mv etc/rc.d/rc.numlock.new etc/rc.d/rc.numlock
EOF

cat << "EOF" > $dest/install/slack-desc
systemtools: systemtools - various system utilities
systemtools:
systemtools: 
systemtools: This package includes tools related to system
systemtools: administration and their desktop menus entries.
systemtools:
systemtools: These tools use both dialog and Xdialog, providing
systemtools: ncurses and gtk frontends.
systemtools: 
systemtools:
systemtools:
EOF


# Packaging ##############
chown -R root:root $dest

mkdir -p $dest/usr/src/$softname-$softversion
cp $buildir/build-$softname.sh $dest/usr/src/$softname-$softversion/

cd $dest

makepkg -l y -c n $dest.tgz

# cleanup
rm -rf $dest


